<?php

namespace Drupal\role_expose\Tests;

use Drupal\simpletest\WebTestBase;


/**
 * Make sure content exists on logged in user profile page.
 *
 * @group Role Expose
 */
class RoleExposeRoleFormTest extends WebTestBase {

  /**
   * The installation profile to use with this test.
   *
   * Don't need most of default core modules.
   *
   * @var string
   */
  // Let's see if the *default* profile 'testing' does the job.
  //protected $profile = 'minimal';

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = array('role_expose');

  /**
   * Implements setUp().
   */
  public function setUp() {
    parent::setUp();


  }

  /**
   * Make sure all user roles are listed in config page.
   */
  protected function testUserRoleForm() {

    $user_admin = $this->drupalCreateUser(['administer permissions']);
    $this->drupalLogin($user_admin);

    $this->drupalGet('admin/people/roles/add');

    // Check administrator -role, by form element name.
    $this->assertText(t('Role expose'), t('Selector label exists.'));
    $this->assertRaw('<option value="0" selected="selected">' . t('Never') . '</option>', t('Role Expose -option 0 / "Never" found.'));
    $this->assertRaw('<option value="1">' . t('User with this role') . '</option>', t('Role Expose -option 1 / "User with this role" found.'));
    $this->assertRaw('<option value="2">' . t('User <em>without</em> this role') . '</option>', t('Role Expose -option 2 / "User <em>without</em> this role" found.'));
    $this->assertRaw('<option value="3">' . t('Always') . '</option>', t('Role Expose -option 3 / "Always" found.'));
    $this->assertText(t('Choose when this role should displayed in User profile page.'), t('Selector Description text found.'));
  }

}
